/***************************************************************************
                          kmyradio.h  -  description
                             -------------------
    begin                : Mon Apr  2 21:00:20 EDT 2001
    copyright            : (C) 2001 by Chuck Ross
    email                : cross37@earthlink.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMYRADIO_H
#define KMYRADIO_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <qwidget.h>
#include <qlabel.h>
#include <ksimpleconfig.h>
#include <qstring.h>

#include "kmyradiointerface.h"
#include "settingsdlg.h"
#include "radiotuner.h"

class QColorGroup;

/** KMyRadio is the base class of the porject */
class KMyRadio : public kmyradiointerface
{
  Q_OBJECT


  KSimpleConfig* config;
  SettingsDlg* settings;

  QString Stations[6];
  QString Descriptions[6];
  QString DeviceName;
    QFont StationFont;
    QFont DescFont;
   QColor BackColor;
   QColor StationColor;
   QColor DescColor;
   QColor DisplayColor;
   QColor ButtonColor;

  int Volume;
  int LastVolume;
  int lastpreset;

  public:
    /** construtor */
    KMyRadio(QWidget* parent=0, const char *name=0);
    /** destructor */
    ~KMyRadio();

  public slots:

		void setStation();
		void incStation();
		void decStation();
		void setVolume(int v);
	  void preset(int p);
	  void preset1();
	  void preset2();
	  void preset3();
	  void preset4();
	  void preset5();
	  void preset6();
	

  private:

    float frequency;
    radiotuner* tuner;

    void readSettings();
    void writeSettings(bool defaultset = false);
    void defaultSettings();

    void initSettings();
    void applySettings();

  protected slots:

    void fasttune();
    void startSettingsDialog();
    void quit();

  	
};

#endif
