/***************************************************************************
                          radiotuner.h  -  description
                             -------------------
    begin                : Sun Apr 1 2001
    copyright            : (C) 2001 by Chuck Ross
    email                : cross37@earthlink.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RADIOTUNER_H
#define RADIOTUNER_H

#include <linux/videodev.h>

/**
  *@author Chuck Ross
  */

#define ERR_NONE 0
#define ERR_RANGE 1
#define ERR_AUDIO_SET 2

class radiotuner {
public:
  char* devicename[60];  // device name of radio card e.g. /dev/radio
  int filedesc;          // file descriptor for device

  bool HAVE_VID_CAP;		 // true if we have gotten Capabilities via ioctl;	
  bool HAVE_TUNE_CAP;
  bool HAVE_AUDIO_CAP;
  bool FREQ_RANGE_CHECK;

  float FREQ_DIVIDE;

  video_capability  vidcap;
  video_tuner       tunecap;
  video_audio				audcap;

  int status;

	radiotuner();
	radiotuner(char* devname);
	~radiotuner();
	
	int init(char* devname);
	
	void getVideoCapabilities();
	void getTunerCapabilities();
	void getAudioCapabilities();
	void setAudioCapabilities();
	
	        float getFreq();
  	        int setFreq(float freq);
           void setRangeCheck(bool b);
  				float getFloatLowFreq();
          float getFloatHighFreq();
  unsigned long getIntLowFreq();
  unsigned long getIntHighFreq();
            int getVolume();
           void setVolume(int v);
           bool mute();
           void mute(bool m);

   	
};

#endif
