/***************************************************************************
                          kmyradio.h  -  description
                             -------------------
    begin                : Mon Apr  2 21:00:20 EDT 2001
    copyright            : (C) 2001 by Chuck Ross
    email                : cross37@earthlink.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMYRADIO_H
#define KMYRADIO_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <qwidget.h>
#include <qlabel.h>
#include <ksimpleconfig.h>
#include <qstring.h>
#include <qstringlist.h>
#include <linux/soundcard.h>

#include "kmyradiointerface.h"
#include "settingsdlg.h"
#include "radiotuner.h"
#include "mixer.h"

#define V4L_VOLUME 255
#define EXIT_OFF 0
#define EXIT_ON 1
#define EXIT_ASK 2

class QColorGroup;

/** KMyRadio is the base class of the project */
class KMyRadio : public kmyradiointerface
{
  Q_OBJECT

  KSimpleConfig* config;
    SettingsDlg* settings;

  QString Stations[18];
      int PresetWatch[6];
      int Bank;
  QString DeviceName;
  QString VolumeControlName;
      int OnExit;

    QFont StationFont;
    QFont DescFont;
    QFont ButtonFont;
   QColor BackColor;
   QColor StationColor;
   QColor DescColor;
   QColor DisplayColor;
   QColor ButtonColor;
   QColor ButtonTextColor;
   QColor ForeColor;

          int Volume;
          int LastVolume;
          int lastpreset;
         bool isPreset;
      QString mixnames[SOUND_MIXER_NRDEVICES];
  QStringList mixlist;

  public:
     KMyRadio(QWidget* parent=0, const char *name=0);
    ~KMyRadio();

  public slots:

		void setStation();
		void incStation();
		void decStation();
		void setVolume(int v);
	  void preset(int p);
	  void preset1();
	  void preset2();
	  void preset3();
	  void preset4();
	  void preset5();
	  void preset6();
	  void handlePresets();
	  void nextBank();
	  void setDescription();

  private:

    float frequency;
    radiotuner *tuner;
    Mixer *mix;
    int volumedevice;

    void readSettings();
    void writeSettings(bool defaultset = false);
    void defaultSettings();

    void initSettings();
    void applySettings();

  protected slots:

    void fasttune();
    void startSettingsDialog();
    void quit();
 	
};

#endif
