/***************************************************************************
                          settingsdlg.cpp  -  description
                             -------------------
    begin                : Thu Apr 5 2001
    copyright            : (C) 2001 by Chuck Ross
    email                : cross37@earthlink.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "settingsdlg.h"
#include <kfontdialog.h>
#include <kcolorbutton.h>
#include <qcheckbox.h>
#include <qcombobox.h>


SettingsDlg::SettingsDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 )
   : SettingsInterface(parent, name, modal, fl)
{

  setName( "SettingsDlg" );
/*
  delete BackColorButton;
  BackColorButton = new KColorButton(BackColor, tab_2, "BackColorButton" );
  BackColorButton->setGeometry( QRect( 10, 120, 31, 30 ) );
  BackColorButton->setText( tr( "" ) );

  delete DisplayColorButton;
  DisplayColorButton = new KColorButton(DisplayColor, tab_2, "DisplayColorButton" );
  DisplayColorButton->setGeometry( QRect( 10, 150, 31, 30 ) );
  DisplayColorButton->setText( tr( "" ) );

  delete StationColorButton;
  StationColorButton = new KColorButton(StationColor, tab_2, "StationColorButton" );
  StationColorButton->setGeometry( QRect( 10, 180, 31, 30 ) );
  StationColorButton->setText( tr( "" ) );

  delete DescColorButton;
  DescColorButton = new KColorButton(DescColor, tab_2, "DescColorButton" );
  DescColorButton->setGeometry( QRect( 10, 210, 31, 30 ) );
  DescColorButton->setText( tr( "" ) );

  delete ButtonColorButton;
  ButtonColorButton = new KColorButton(ButtonColor, tab_2, "ButtonColorButton" );
  ButtonColorButton->setGeometry( QRect( 10, 240, 31, 30 ) );
  ButtonColorButton->setText( tr( "" ) );
*/

  QObject::connect(StationFontButton, SIGNAL(clicked()), this, SLOT(setStationFont()));
  QObject::connect(DescFontButton, SIGNAL(clicked()), this, SLOT(setDescFont()));
  QObject::connect(ButtonFontButton, SIGNAL(clicked()), this, SLOT(setButtonFont()));
  QObject::connect(OKButton, SIGNAL(clicked()), this, SLOT(accept()));
  QObject::connect(CancelButton, SIGNAL(clicked()), this, SLOT(reject()));
  QObject::connect(V4LCheck, SIGNAL(clicked()), this, SLOT(handlecheckbox()));

}

SettingsDlg::~SettingsDlg(){
  //SettingsInterface::SettingsInterface(0,0,true);
}


void SettingsDlg::setStationFont() {

  int result = KFontDialog::getFont( StationFont );
  if ( result == KFontDialog::Accepted ) {
    StationFontButton->setText(StationFont.family());
  }

}

void SettingsDlg::setDescFont() {

  int result = KFontDialog::getFont( DescFont );
  if ( result == KFontDialog::Accepted ) {
    DescFontButton->setText(DescFont.family());
  }

}

void SettingsDlg::setButtonFont() {

  int result = KFontDialog::getFont( ButtonFont );
  if ( result == KFontDialog::Accepted ) {
    ButtonFontButton->setText(ButtonFont.family());
  }

}


void SettingsDlg::handlecheckbox() {

  if (V4LCheck->isChecked()) {
    MixerSetting->setEnabled(false);
  }
  else {
    MixerSetting->setEnabled(true);
  }
}

//void SettingsDlg::setBackgroundColor() {

//  int result = KColorDialog::getColor( myColor );
//  if ( result == KColorDialog::Accepted )

//}


